/* global */

@import url("https://fonts.googleapis.com/css2?family=Nunito:wght@200;300;400;600;700&display=swap");

:root {
  --red: #ff3838;
}

* {
  font-family: "Nunito", sans-serif;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  outline: none;
  border: none;
  text-decoration: none;
  text-transform: capitalize;
  transition: all 0.2s linear;
}

*::selection {
  background: #22577e;
  color: #fff;
}

html {
  font-size: 62.5%;
  overflow-x: hidden;
  scroll-behavior: smooth;
  scroll-padding-top: 6rem;
}

body {
  background: #f7f7f7;
}

section {
  padding: 2rem 9%;
}

.kolom {
  margin-top: 50px;
  margin-bottom: 50px;
  margin-left: 50px;
  margin-right: 50px;
}

.kolom .deskripsi {
  font-size: 20px;
  font-weight: bold;
  font-family: "comic sans ms";
  color: #2e4c6d;
}

.tengah {
  text-align: center;
  width: 100%;
}

.tutor-list {
  width: 100%;
  position: relative;
  display: flex;
  flex-wrap: wrap;
}

.heading {
  text-align: center;
  font-size: 3.5rem;
  padding: 1rem;
  color: #666;
}

.heading span {
  color: #22577e;
}

.btn {
  display: inline-block;
  padding: 0.8rem 3rem;
  border: 0.2rem solid #22577e;
  color: #22577e;
  cursor: pointer;
  font-size: 1.7rem;
  border-radius: 0.5rem;
  position: relative;
  overflow: hidden;
  z-index: 0;
  margin-top: 1rem;
}

.btn::before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  width: 0%;
  height: 100%;
  background: #22577e;
  transition: 0.3s linear;
  z-index: -1;
}

.btn:hover::before {
  width: 100%;
  left: 0%;
}

.btn:hover {
  color: #fff;
}

/* Header */

header {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 1000;
  display: flex;
  align-items: center;
  justify-content: space-between;
  background: #fff;
  padding: 2rem 9%;
  box-shadow: 0 0.5rem 1rem rgb(0, 0, 1);
}

header .logo {
  font-size: 2.5rem;
  font-weight: bolder;
  color: #666;
}
header .logo i {
  padding-right: 0.5rem;
  color: #22577e;
}

header .navbar a {
  font-size: 2rem;
  margin-left: 2rem;
  color: #666;
}
header .navbar a:hover {
  color: #22577e;
}

#menu-bar {
  font-size: 3rem;
  cursor: pointer;
  columns: #666;
  border: 0.1rem solid #666;
  border-radius: 0.3rem;
  padding: 0.5rem 1.5rem;
  display: none;
}

/* home */
.home {
  display: flex;
  flex-wrap: wrap;
  gap: 1.5rem;
  min-height: 100vh;
  align-items: center;
  background: url(../img/home-bg.jpg) no-repeat;
  background-size: cover;
  background-position: center;
}

.home .content {
  flex: 1 1 40rem;
  padding-top: 6.5rem;
}

.home .image {
  flex: 1 1 40rem;
}

.home .image img {
  width: 100%;
  padding-top: 1rem;
  animation: float 3s linear infinite;
}

@keyframes float {
  0%,
  100% {
    transform: translateY(0rem);
  }
  50% {
    transform: translateY(3rem);
  }
}

.home .content h3 {
  font-size: 5rem;
  color: #333;
}

.home .content p {
  font-size: 2rem;
  color: #666;
  padding: 1rem 0;
}

/* populer */

.popular .box-container {
  display: flex;
  flex-wrap: wrap;
  gap: 1.5rem;
}

.popular .box-container .box {
  padding: 2rem;
  background: #fff;
  box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.1);
  border: 0.1rem solid rgba(0, 0, 0, 0.3);
  border-radius: 0.5rem;
  text-align: center;
  flex: 1 1 30rem;
  position: relative;
}

.popular .box-container .box img {
  height: 25rem;
  object-fit: cover;
  width: 100%;
  border-radius: 0.5rem;
}

.popular .box-container .box .price {
  position: absolute;
  top: 3rem;
  left: 3rem;
  background: #22577e;
  color: #fff;
  font-size: 2rem;
  padding: 0.5rem 1rem;
  border-radius: 0.5rem;
}

.popular .box-container .box h3 {
  color: #333;
  font-size: 2.5rem;
  padding-top: 1rem;
}

.popular .box-container .box .stars i {
  color: gold;
  font-size: 1.7rem;
  padding: 1rem 0.1rem;
}

.partner-list {
  width: 100%;
  position: relative;
  display: flex;
  flex-wrap: wrap;
}

.kartu-partner {
  width: 20%;
  margin: 0 auto;
}

.kartu-partner img {
  width: 150px;
  border-radius: 50%;
}

/* Steps */
.steps {
  display: flex;
  flex-wrap: wrap;
  gap: 1.5rem;
  padding: 1rem;
}

.steps .box {
  flex: 1 1 25rem;
  padding: 1rem;
  text-align: center;
}

.steps .box img {
  border-radius: 50%;
  border: 1rem solid #fff;
  box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.1);
}

.steps .box h3 {
  font-size: 3rem;
  color: #333;
  padding: 1rem;
}

/* gallery */

.gallery .box-container {
  display: flex;
  flex-wrap: wrap;
  gap: 1.5rem;
}
.gallery .box-container .box {
  height: 35rem;
  flex: 1 1 30rem;
  border: 1rem solid #fff;
  box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.1);
  border-radius: 0.5rem;
  position: relative;
  overflow: hidden;
}

.gallery .box-container .box img {
  height: 100%;
  width: 100%;
  object-fit: cover;
}

.gallery .box-container .box .content {
  position: absolute;
  top: -100%;
  left: 0;
  height: 100%;
  background: rgba(255, 255, 255, 0.9);
  padding: 2rem;
  padding-top: 5rem;
  text-align: center;
}
.gallery .box-container .box .content h3 {
  font-size: 2.5rem;
  color: #333;
}

.gallery .box-container .box .content p {
  font-size: 1.4rem;
  color: #666;
  padding: 1rem 0;
}
.gallery .box-container .box:hover .content {
  top: 0;
}

/* review */

/* order */
.order .row {
  padding: 2rem;
  box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.1);
  background: #fff;
  display: flex;
  flex-wrap: wrap;
  gap: 1.5rem;
  border-radius: 0.5rem;
}

.order .row .image {
  flex: 1 1 30rem;
}

.order .row .image img {
  height: 100%;
  width: 100%;
  object-fit: cover;
  border-radius: 0.5rem;
}

.order .row form {
  flex: 1 1 50rem;
  padding: 1rem;
}

.order .row form .inputbox {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}

.order .row form .inputbox input,
.order .row form textarea {
  padding: 1rem;
  margin: 1rem 0;
  font-size: 1.7rem;
  color: #333;
  text-transform: none;
  border: 0.1rem solid rgba(0, 0, 0, 0.3);
  border-radius: 0.5rem;
  width: 49%;
}

.order .row form textarea {
  width: 100%;
  resize: none;
  height: 15rem;
}

.order .row form .btn {
  background: none;
}

.order .row form .btn:hover {
  background: #22577e;
}

/* FOOTER */
.footer {
  background: #212121;
  text-align: center;
}

.footer .share {
  display: flex;
  gap: 1.5rem;
  justify-content: center;
  flex-wrap: wrap;
}

.footer .credit {
  padding: 2rem 1rem;
  color: #fff;
  font-weight: normal;
}

.footer .credit span {
  color: #22577e;
}

/* scroll */
#scroll-top {
  position: fixed;
  top: -120%;
  right: 2rem;
  padding: 0.5rem 1.5rem;
  font-size: 4rem;
  background: #22577e;
  color: #fff;
  border-radius: 0.5rem;
  transition: 0.5s linear;
  z-index: 1000;
}

#scroll-top.active {
  top: calc(100% - 12rem);
}

/* media queries */

@media (max-width: 991px) {
  html {
    font-size: 55%;
  }
  header {
    padding: 2rem;
  }

  section {
    padding: 2rem;
  }
}

@media (max-width: 768px) {
  #menu-bar {
    display: initial;
  }
  header .navbar {
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    background: #f7f7f7;
    border-top: 0.1rem solid rgb(0, 0, 0, 0.1);
    clip-path: polygon(0 0, 100% 0, 100% 0, 0 0);
  }

  header .navbar.active {
    clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%);
  }

  header .navbar a {
    margin: 1.5rem;
    padding: 1.5rem;
    display: block;
    border: 0.2rem solid rgb(0, 0, 0, 0.1);
    border-left: 0.5rem solid #22577e;
    background: #fff;
  }
  .kartu-partner {
    width: 50%;
  }
}

@media (max-width: 400px) {
  html {
    font-size: 50%;
  }
}
